Last Comment Bug 524453 - Please add zh-CN to all-locales
: Please add zh-CN to all-locales
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Robert Kaiser
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 05:46 PDT by Shaohua Wen
Modified: 2009-12-10 08:14 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Shaohua Wen 2009-10-26 05:46:41 PDT
We've checked in zh-CN (Simplified Chinese)  translation files.
We need some builds to test/verify. 
So could you please enable building zh-CN seamonkey?
Thanks!
Comment 1 Robert Kaiser 2009-10-26 05:51:19 PDT
Did you add it in 1.9.1 only or in both l10n-central and l10n-mozilla-1.9.1?

I'll get to that later in the week, after the 2.0 final release tomorrow :)

Nice to see you joining there!
Comment 2 Shaohua Wen 2009-10-26 06:01:01 PDT
Thanks for your fast response.
I've checked in 1.9.1, but I can commit to center ASAP.
BTW: Are they the same by now?
Comment 3 Robert Kaiser 2009-10-26 06:05:24 PDT
(In reply to comment #2)
> Thanks for your fast response.
> I've checked in 1.9.1, but I can commit to center ASAP.
> BTW: Are they the same by now?

Right now, suite/ should be the same in l10n-central and l10n-mozilla-1.9.1 but it will diverge, with 1.9.1 staying stable for SeaMonkey 2.0.x and central following comm-central changes to an upcoming 2.1 version - not sure if you're following "trunk" development at all though, that's why I'm asking.
Comment 4 Shaohua Wen 2009-10-26 06:06:25 PDT
Currently the translation for seamonkey is in beta quality phase, I'm afraid that we'll not able to join the 2.0 release. 
But after that, can we join the minor updates releases?
Comment 5 Shaohua Wen 2009-10-26 06:08:56 PDT
(In reply to comment #3)
> Right now, suite/ should be the same in l10n-central and l10n-mozilla-1.9.1 but
> it will diverge, with 1.9.1 staying stable for SeaMonkey 2.0.x and central
> following comm-central changes to an upcoming 2.1 version - not sure if you're
> following "trunk" development at all though, that's why I'm asking.
After we catch up with 2.0.x release, we'll follow trunk development for sure.
Currently zh-CN have all tree green on the dashboard except seamonkey tree. :)
Comment 6 Robert Kaiser 2009-10-26 06:11:46 PDT
(In reply to comment #5)
> After we catch up with 2.0.x release, we'll follow trunk development for sure.
> Currently zh-CN have all tree green on the dashboard except seamonkey tree. :)

Nice, then we can target -central as well, good. :)

And don't worry, you wouldn't be able to join 2.0 final even if things would be finished today, as we're just converting RC2 straight to final, so anyone who hasn't opted in for RC2 in time is not in 2.0 final - but everyone, including you, will have a good chance to make 2.0.1 :)
Comment 7 Shaohua Wen 2009-10-26 06:19:49 PDT
That's exactly what I want :)
Thanks!
Comment 8 Robert Kaiser 2009-10-28 11:40:30 PDT
In http://hg.mozilla.org/releases/l10n-mozilla-1.9.1/zh-CN/file/3acdeb7ee7ad/suite/chrome/branding/brand.properties please switch from add-ons.mozilla.org to add-ons.mozilla.com, or else users get a certificate errors when trying to e.g. get new themes from the view menu.

zh-CN added to suite/locales/all-locales in http://hg.mozilla.org/releases/comm-1.9.1/rev/1503f0d61e0d - SeaMonkey buildbots will start to report on http://tinderbox.mozilla.org/showbuilds.cgi?tree=Mozilla-l10n-zh-CN from now on and produce nightlies and langpacks that are put into http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/latest-comm-1.9.1-l10n/

I'm marking this fixed-seamonkey2.0.1 now but leaving open for being on -central as well once you add suite/ on l10n-central.
Comment 9 Shaohua Wen 2009-10-29 07:44:05 PDT
suite/ on l10n-central  added.
switch from add-ons.mozilla.org to add-ons.mozilla.com done.
Comment 10 Shaohua Wen 2009-10-29 07:47:19 PDT
From the l10n dashboard , it found that there are several files not include in zh-CN. but the dashboard is green.
DOes it really matter?
http://l10n.mozilla.org/buildbot/compare/hg-comm-langpack/34321
Comment 11 Robert Kaiser 2009-10-29 08:04:36 PDT
(In reply to comment #10)
> From the l10n dashboard , it found that there are several files not include in
> zh-CN. but the dashboard is green.
> DOes it really matter?

Yes, it does matter, your builds are not correctly generated - on http://tinderbox.mozilla.org/showbuilds.cgi?tree=Mozilla-l10n-zh-CN you can see that the actual build generation is broken. In the end, both dashboard and Tinderbox need to be green.
For all those files, it's OK to just put in copies of the en-US files, though, we don't require localization of them (help is a lot of work, we know that).

I'll look into -central as soon as I find time, that's not as pressing, of course, and not tracked by dashboard yet (but will come soon as a sea21x entry).
Comment 12 Shaohua Wen 2009-10-29 08:28:56 PDT
Thanks, fixed in 1.9.1 and central.
Comment 13 Shaohua Wen 2009-10-29 16:13:48 PDT
The tinderbox is still red.
something related to mobile?
Comment 14 Robert Kaiser 2009-10-29 16:56:42 PDT
The SeaMonkey tinderbox build haven't been rebuilt for some reason, the mobile things are different, that's Fennec, not SeaMonkey.
Comment 15 Robert Kaiser 2009-10-29 17:05:59 PDT
Added zh-CN to trunk as well with http://hg.mozilla.org/comm-central/rev/25a38e457803 - the comm-central-trunk builds should show up on tinderbox at least once tomorrow's nightlies are done. And once bug 523315 adds a sea21x tree on dashboard, zh-CN will also show up there.
Comment 16 Robert Kaiser 2009-10-29 17:06:20 PDT
Er, marking fixed for this.

Note You need to log in before you can comment on or make changes to this bug.